""" Scopus script's configration
    
    *A Kopmann, 12.4.17*

Configuration for the active setup at ufo.kit.edu

"""

# Local publication database

db_host = 'localhost'
db_user = 'scopus'
db_pw = '$scopus$'
db_name = 'scopus'


# Access to Wordpress installation

wp_api_url = "https://ufo.kit.edu/dis/xmlrpc.php"
""" Access to the Wordpress installation """
wp_user = "scopus"
wp_password = "$scopus$"


# Reporting

log_file = "/root/scopus/log/scopus-publications-ufo-kit-edu.log"
""" Logfile name for reporting """


# Scopus query definition

MY_API_KEY = "14d431d052c2caf5e9c4b1ab7de7463d"
""" Scopus access key (Andreas Kopmann) """
DTS_API_KEY = "f2b35fe46478f22f3c14cf53f73d4f93"

# Scopus author IDs

# KIT, PDV
ak = "35313939900"
ak2 = "57193311016"
csa = "15076530600"
matthiasVogelgesang = "35303862100"
timoDritschler = "56473578500"
andreiShkarin = "56950893700"
nicholasTanJerome = "57200247965"
tillBergmann = "35308595100"
armenBeglarian = "55343303900"
petraRohr = "40561503300"
norbertKunka = "35276889200"
horstDemattio = "6506285395"

# KIT, EPS
micheleCaselle = "57194376511"
mc2 = "57194376512"
urosStevanovic = "55557712600"
lorenzoRota = "56473442500"
matthiasBalzer = "35519411500"
luisArdila = "57183639000"


# KIT, IPE
marcWeber = "56654729000"
mw2 = "56603987800"
mw3 = "7404138824"

# KIT, IPS
tomyRolo = "56118820400"
tr2 = "35194644400"
tr3 = "35277157300"
tomasFarago = "56655045700"
alexyErshof = "56441809800"
romanShkarin = "56951331000"
tiloBaumbach = "7003270957"
thomasVandekamp = "46761453500"
danielHaenschke = "55532222200"

# TUD
michaelHeethoff = "55979397800"
sebastianSchmelzle = "34768986100"

# UHD, has been combined with another person in Munich !!!
philipLoesel = "57203423658"

# Others (e.g. for black list)
ashotChiligarian = "7004126133"
hansBluemer = "7006284555"
matthiasKleifegs = "6602072426"


# Definition of workgroups for automatic Scopus publication retrieval

sc_start = 2010
sc_citations = False
sc_keywords = True
sc_max_authors = 25


ufo_pdv = [ak, ak2, csa, timoDritschler ]
ufo_eps = [matthiasBalzer, luisArdila ]
ufo_ips = [tomasFarago, danielHaenschke]
ufo_apps = [thomasVandekamp]
ufo_alg = [philipLoesel]

sc_workgroups = [
{'name':'computing','authors':ufo_pdv},
{'name':'electronics','authors':ufo_eps},
{'name':'x-ray-imaging','authors':ufo_ips},
{'name':'morphology','authors':ufo_apps},
{'name':'algorithms','authors':ufo_alg}
]
""" Definition of the workgroups
    
    Each workgroup is defined by a list of Scopus ID's and the
    name of the category to be used in Wordpress. The category
    for a new workgroup has to be created in Wordpress before
    adding publications
    """




