""" Scopus script's configration
    
    *A Kopmann, 12.4.17*

Configuration for the IPE setup at ufo.kit.edu

"""

# Local publication database

db_host = 'localhost'
db_user = 'scopus'
db_pw = '$scopus$'
db_name = 'scopus_ipe'


# Access to Wordpress installation

wp_api_url = "https://ufo.kit.edu/ipe/xmlrpc.php"
""" Access to the Wordpress installation """
wp_user = "scopus"
wp_password = "$scopus$"


# Reporting

log_file = "/root/scopus-ipe/log/scopus-publications-ufo-kit-edu-ipe.log"
""" Logfile name for reporting """


# Scopus query definition

MY_API_KEY = "14d431d052c2caf5e9c4b1ab7de7463d"
""" Scopus access key (Andreas Kopmann) """


# Scopus author IDs

# KIT, PDV
andreasKopmann = "35313939900"
ak2 = "57193311016"
surenChilingaryan = "15076530600"
matthiasVogelgesang = "35303862100"
timoDritschler = "56473578500"
#andreiShkarin = "56950893700"
nicholasTanJerome = "57200247965"
#tillBergmann = "35308595100"
armenBeglarian = "55343303900"
petraRohr = "40561503300"
norbertKunka = "35276889200"
horstDemattio = "6506285395"
heinzFrankrone = ""
danielKompalla = ""


# KIT, EPS
micheleCaselle = "57194376511"
mc2 = "57194376512"
#urosStevanovic = "55557712600"
lorenzoRota = "56473442500"
matthiasBalzer = "35519411500"
matthiasKleifges = "6602072426"
luisArdila = "" 
nickKarcher = "" 
alexanderMenshikov = "7003298761"
denisTcherniakhovski = "6508308928"
thomasSchuh = ""
oliverSander = "22986354000"


# KIT, MSA
thomasKuehner = "24776279000"
saschaWuestling = "23480623800"
heikoBouquet = ""
birgitBurger = ""
andreasEbersold = "" 
larsEisenblaetter = "57094104200"
juliusHartmann = ""
djornKarnick = "37081197400"
marcSchneider = "55649571035"
ms2 = "55649571037"
ms3 = "55649571036"
ms4 = "55649571041"
oliverKroemer = "8520193800"
klausPetry = "7004446817"


# KIT, ADL
ivanPeric = "9043482900"
felixEhrler = "56674370500"
robertoBlanco = "56927736400"
alenaWeber = ""


# KIT, AVT
thomasBlank = "56819218800"
simonBischof = "" 
anBao = "57192082222"
helgeWurst = "" 

# KIT, SWM
nicoleRuiter = "6507953977"
torstenHopp = "24469880700"
michaelZapf = "19640815400"


# KIT, IPE
marcWeber = "56654729000"
mw2 = "56603987800"
mw3 = "7404138824"



# Definition of workgroups for automatic Scopus publication retrieval

sc_start = 2016
sc_citations = False
sc_keywords = True
sc_max_authors = 25

ipe_pdv = [andreasKopmann,ak2,surenChilingaryan,matthiasVogelgesang,timoDritschler,armenBeglarian,horstDemattio,petraRohr,norbertKunka]
ipe_eps = [matthiasBalzer,lorenzoRota,micheleCaselle,mc2,matthiasKleifges,alexanderMenshikov,denisTcherniakhovski,oliverSander]
ipe_msa = [thomasKuehner,saschaWuestling,larsEisenblaetter,djornKarnick,marcSchneider,ms2,ms3,ms4,oliverKroemer,klausPetry]
ipe_avt = [thomasBlank]
ipe_adl = [ivanPeric,felixEhrler,robertoBlanco]
ipe_swm = [nicoleRuiter,torstenHopp,michaelZapf] 


sc_workgroups = [
{'name':"pdv",'authors':ipe_pdv},
{'name':"eps",'authors':ipe_eps},
{'name':"msa",'authors':ipe_msa},
{'name':"avt",'authors':ipe_avt},
{'name':"adl",'authors':ipe_adl},
{'name':"swm",'authors':ipe_swm}
]
""" Definition of the workgroups
    
    Each workgroup is defined by a list of Scopus ID's and the
    name of the category to be used in Wordpress. The category
    for a new workgroup has to be created in Wordpress before
    adding publications
    """




